Bug 132070 - Yum gives unhelpful error messages on dependency failures
Yum gives unhelpful error messages on dependency failures
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-08 12:09 EDT by Joshua Ginsberg
Modified: 2014-01-21 17:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 16:02:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Ginsberg 2004-09-08 12:09:40 EDT
I was trying to do a big "yum update" having just incorporated the
"development" channel, and yum failed due to dependency issues. But
the error message was unhelpful because it didn't indicate whether an
already installed package had a dependency that was being broken by
updating a different package or whether the package I'm trying to
upgrade to has dependencies that are unsatisfiable.

Here's the error output:

Package abiword-plugins-impexp needs libcrlayeng.so.1, this is not
available.
Package abiword-plugins-impexp needs libcroco.so.1, this is not available.
Package abiword-plugins-impexp needs libcrseleng.so.2, this is not
available.

Now, does the current version of abiword-plugins-impexp require
libcroco.so.1 and the new version of the libcroco package has, say,
libcroco.so.2? Or does the new version of abiword-plugins-impexp
require a new version of libcroco which is unavailable?

What would be awesome is if it would read:

Package abiword-plugins-impexp (installed) needs libcroco.so.1, so I
cannot upgrade package libcroco

for the first case and

Package abiword-plugins-impexp needs libcroco.so.1, this is not available

for the second case.

Thanks!

-jag
Comment 1 Seth Vidal 2004-09-15 19:02:45 EDT
I've got a number of things that are higher on the list than getting
the error reporting to be more friendly but this is not off the list.
Comment 2 Matthew Miller 2005-04-26 12:10:41 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.